// Code generated by mockery v0.0.0-dev. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	domain "gitlab.com/boriskin.art/crudapp-v2.1/internal/domain"
)

// LinkRepository is an autogenerated mock type for the LinkRepository type
type LinkRepository struct {
	mock.Mock
}

// Create provides a mock function with given fields: link
func (_m *LinkRepository) Create(link *domain.Link) (int, error) {
	ret := _m.Called(link)

	var r0 int
	if rf, ok := ret.Get(0).(func(*domain.Link) int); ok {
		r0 = rf(link)
	} else {
		r0 = ret.Get(0).(int)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*domain.Link) error); ok {
		r1 = rf(link)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByLongLinkAndUserID provides a mock function with given fields: longLink, userID
func (_m *LinkRepository) GetByLongLinkAndUserID(longLink string, userID int) (*domain.Link, error) {
	ret := _m.Called(longLink, userID)

	var r0 *domain.Link
	if rf, ok := ret.Get(0).(func(string, int) *domain.Link); ok {
		r0 = rf(longLink, userID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*domain.Link)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, int) error); ok {
		r1 = rf(longLink, userID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByToken provides a mock function with given fields: token
func (_m *LinkRepository) GetByToken(token string) (*domain.Link, error) {
	ret := _m.Called(token)

	var r0 *domain.Link
	if rf, ok := ret.Get(0).(func(string) *domain.Link); ok {
		r0 = rf(token)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*domain.Link)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(token)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByUserID provides a mock function with given fields: userID
func (_m *LinkRepository) GetByUserID(userID int) ([]*domain.Link, error) {
	ret := _m.Called(userID)

	var r0 []*domain.Link
	if rf, ok := ret.Get(0).(func(int) []*domain.Link); ok {
		r0 = rf(userID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*domain.Link)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(int) error); ok {
		r1 = rf(userID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// IncrementClicksCount provides a mock function with given fields: token
func (_m *LinkRepository) IncrementClicksCount(token string) error {
	ret := _m.Called(token)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(token)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
